Package Gnumed :: Package business :: Module gmXdtObjects :: Class cLDTFile |
[frames] | no frames]

# Class cLDTFile

source code

    object --+
             |
            cLDTFile

Instance Methods
__init__(self, filename=None, encoding=None, override_encoding=False) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
split_by_patient(self, dir=None, file=None) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| header = `property(_get_header, lambda x: x)`
| tail = `property(_get_tail, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, filename=None, encoding=None, override_encoding=False) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)